darcs

Issue 145 --partial should be implicit when the source repository is partial

Title --partial should be implicit when the source repository is partial
Priority wishlist Status wont-fix
Milestone Resolved in
Superseder Darcs get (full) fails when getting from partial repository
View: 1318
Nosy List darcs-devel, dmitry.kurochkin, karel.gardas, kowey, markstos, rosejr, thorkilnaur, tommy
Assigned To
Topics Partial

Created on 2006-03-10.22:23:07 by rosejr, last changed 2009-10-23.23:59:30 by admin.

Messages
msg560 (view) Author: rosejr Date: 2006-03-10.22:23:05
Presumably --partial should be implicit when the source repository is partial.

Sample output:
Copying patch 134 of 1356...darcs-1.0.6-static-linux-i386:
/media/UDISK_2_0/taps/_darcs/patches/20050816153639-31b3d-251d3fabe9f0521776f55277e8c51c86b4cb00ea.gz:
openBinaryFile: does not exist (No such file or directory)

 ~/darcs-1.0.6-static-linux-i386 get --partial /media/UDISK_2_0/taps
Copying patch 133 of 133... done!
Applying patch 132 of 132... done.
Finished getting.
msg958 (view) Author: kowey Date: 2006-09-05.13:42:52
It would probably be wise to report this to the user, something like "the
repository we're getting is partial, so assuming --partial"
msg960 (view) Author: droundy Date: 2006-09-05.19:54:27
On Tue, Sep 05, 2006 at 01:43:00PM +0000, Eric Kow wrote:
> It would probably be wise to report this to the user, something like "the
> repository we're getting is partial, so assuming --partial"

I agree, this would be a good idea.  I'm not sure how easy this will
be, as we don't know that a repo is partial until we've downloaded the
files.  It won't be *too* hard, but probably isn't appropriate for a
haskell newbie.

David
msg2396 (view) Author: markstos Date: 2008-01-09.04:43:48
Should this ticket and its duplicates be considered "resolved-in-unstable" since
switching to "Darcs 2" and the darcs-2 repo format avoids the issue?
msg2412 (view) Author: droundy Date: 2008-01-10.20:36:55
On Wed, Jan 09, 2008 at 04:43:48AM -0000, Mark Stosberg wrote:
> Should this ticket and its duplicates be considered "resolved-in-unstable" since
> switching to "Darcs 2" and the darcs-2 repo format avoids the issue?

Hmmm.  I suppose so.  Although in practice one need only switch to darcs 2
and the hashed format to avoid the issue.
-- 
David Roundy
Department of Physics
Oregon State University
msg8190 (view) Author: kowey Date: 2009-08-16.22:31:51
Just noting that if we were to re-open this bug, then we should probably
implement some mechanism for detecting partial repos (see issue1318) first.

But I'm assuming we can leave this closed for now (sorry, Karel) because partial
repositories are moribund.  Do please feel free to argue the case.
History
Date User Action Args
2006-03-10 22:23:07rosejrcreate
2006-04-07 22:52:44jchsetpriority: bug -> feature
nosy: droundy, tommy, rosejr
2006-09-05 13:43:00koweysettopic: + ProbablyEasy
status: unread -> unknown
messages: + msg958
nosy: + kowey
title: 'get' on partial repository fails confusingly without '--partial' -> --partial should be implicit when the source repository is partial
2006-09-05 19:54:33droundysetnosy: droundy, tommy, kowey, rosejr
messages: + msg960
2006-09-05 20:16:59koweysettopic: - ProbablyEasy
nosy: droundy, tommy, kowey, rosejr
2006-11-09 14:11:21koweylinkissue338 superseder
2007-01-07 16:10:23marcotsetnosy: + beschmi
superseder: + Confusing error message when pulling from partial repo
2007-01-07 16:10:31marcotlinkissue217 superseder
2007-03-08 11:28:57koweysetnosy: droundy, tommy, beschmi, kowey, rosejr
superseder: - Confusing error message when pulling from partial repo
2007-07-19 04:42:20koweysetpriority: feature -> wishlist
nosy: droundy, tommy, beschmi, kowey, rosejr
2007-07-23 15:35:42koweysettopic: + Partial
2008-01-09 04:43:50markstossetnosy: + markstos
messages: + msg2396
2008-01-10 20:36:57droundysetmessages: + msg2412
2008-01-10 21:36:16markstossetstatus: unknown -> resolved-in-unstable
2008-09-04 21:28:13adminsetstatus: resolved-in-unstable -> resolved
nosy: + dagit
2009-08-06 17:31:56adminsetnosy: + jast, Serware, dmitry.kurochkin, darcs-devel, zooko, mornfall, simon, thorkilnaur, - droundy, rosejr
2009-08-06 20:28:43adminsetnosy: - beschmi
2009-08-10 21:51:08adminsetnosy: + rosejr, - darcs-devel, zooko, jast, Serware, mornfall
2009-08-10 23:53:35adminsetnosy: - dagit
2009-08-16 22:25:30koweysetnosy: + karel.gardas
2009-08-16 22:25:44koweylinkissue1318 superseder
2009-08-16 22:31:53koweysetstatus: resolved -> unknown
nosy: tommy, kowey, markstos, rosejr, simon, thorkilnaur, dmitry.kurochkin, karel.gardas
superseder: + Darcs get (full) fails when getting from partial repository
messages: + msg8190
2009-08-18 22:47:35koweysetstatus: unknown -> resolved
nosy: tommy, kowey, markstos, rosejr, simon, thorkilnaur, dmitry.kurochkin, karel.gardas
2009-08-18 22:47:55koweysetstatus: resolved -> wont-fix
nosy: tommy, kowey, markstos, rosejr, simon, thorkilnaur, dmitry.kurochkin, karel.gardas
2009-08-25 17:46:42adminsetnosy: + darcs-devel, - simon
2009-08-27 14:27:37adminsetnosy: tommy, kowey, markstos, darcs-devel, rosejr, thorkilnaur, dmitry.kurochkin, karel.gardas
2009-10-23 22:36:23adminsetnosy: + kgardas, - karel.gardas
2009-10-23 23:59:30adminsetnosy: + karel.gardas, - kgardas